## langtable 0.0.65

=== Makefile ===
DESTDIR=/usr
DATADIR=$(DESTDIR)/share/langtable/
DEBUG=
PWD := $(shell pwd)
SRCDIR=$(PWD)

.PHONY: gzip
gzip: langtable/data/keyboards.xml.gz langtable/data/languages.xml.gz langtable/data/territories.xml.gz langtable/data/timezones.xml.gz langtable/data/timezoneidparts.xml.gz

.PHONY: test
test: gzip
	(cd langtable; python3 langtable.py)
	python3 test_cases.py
	(cd langtable; xmllint --noout --relaxng schemas/keyboards.rng data/keyboards.xml.gz)
	(cd langtable; xmllint --noout --relaxng schemas/languages.rng data/languages.xml.gz)
	(cd langtable; xmllint --noout --relaxng schemas/territories.rng data/territories.xml.gz)
	(cd langtable; xmllint --noout --relaxng schemas/timezones.rng data/timezones.xml.gz)
	(cd langtable; xmllint --noout --relaxng schemas/timezoneidparts.rng data/timezoneidparts.xml.gz)

.PHONY: check
check: test

.PHONY: dist
dist: gzip
	DISTUTILS_DEBUG=$(DEBUG) python3 ./setup.py sdist bdist_wheel

.PHONY: install
install: dist
	perl -pi -e "s,_datadir = '(.*)',_DATADIR = '$(DATADIR)'," langtable/langtable.py
	DISTUTILS_DEBUG=$(DEBUG) python3 ./setup.py install --prefix=$(DESTDIR)
#	DISTUTILS_DEBUG=$(DEBUG) python3 ./setup.py install_data --install-dir=$(DATADIR)

# check it here: https://test.pypi.org/manage/project/langtable/releases/
.PHONY: twine-upload-test
twine-upload-test: dist
	python3 -m twine upload --verbose --repository testpypi dist/*

# check it here: https://pypi.org/manage/project/langtable/releases/
.PHONY: twine-upload
twine-upload: dist
	python3 -m twine upload --verbose dist/*

.PHONY: pip-install-test
pip-install-test:
	(cd /tmp; python3 -m pip install --user --ignore-installed --no-cache-dir --index-url https://test.pypi.org/simple/ --no-deps langtable)

.PHONY: pip-install
pip-install:
	(cd /tmp; python3 -m pip install --user --ignore-installed --no-cache-dir --no-deps langtable)

.PHONY: clean
clean:
	git clean -dxf

MOCK_CONFIG=fedora-rawhide-x86_64
.PHONY: mockbuild
mockbuild: dist
	mkdir -p ./mockbuild-results/
	mock --root $(MOCK_CONFIG) --buildsrpm --spec langtable.spec --sources ./dist/
	cp /var/lib/mock/$(MOCK_CONFIG)/result/* ./mockbuild-results
	mock --root $(MOCK_CONFIG) --rebuild ./mockbuild-results/*.src.rpm
	cp /var/lib/mock/$(MOCK_CONFIG)/result/* ./mockbuild-results

.PHONY: review
review: mockbuild
	cp *.spec ./mockbuild-results/
	(cd ./mockbuild-results/; fedora-review -n langtable -m $(MOCK_CONFIG) )

%.xml.gz: %.xml
	gzip --keep --force --best $< $@

# .rnc files for editing with Emacs
# https://fedoraproject.org/wiki/How_to_use_Emacs_for_XML_editing
%.rnc: %.rng
	trang $< $@

rnc: schemas/keyboards.rnc schemas/languages.rnc schemas/territories.rnc schemas/timezones.rnc schemas/timezoneidparts.rnc
	cp schemas/*.rnc data/

=== debian/changelog ===
langtable (0.0.65-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - Build-Depends on libxml2-utils for the tests
    - remove the Build-Depends on python3-lxml no neeed anymore
  * debian/patches/set-tests-verbose.patch:
    - set the tests to verbose by default since otherwise they are silent
  * debian/tests:
    - enable the upstream tests as autopkgtests
  * debian/rules:
    - use the upstream make test target for build tests, remove use of
      the main.py script which isn't doing anything anyway since it relies
      on cldr data which aren't provided in the tarball.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Feb 2024 12:20:18 +0100

langtable (0.0.64-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 14:08:38 -0500

langtable (0.0.64-1) experimental; urgency=medium

  * Initial release. Closes: #1061394

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 10:03:57 -0500

=== debian/control ===
Source: langtable
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               libxml2-utils <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/mike-fabian/langtable
Vcs-Git: https://salsa.debian.org/python-team/packages/langtable.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/langtable
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-langtable
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 library for guessing locale defaults
 langtable is a Python 3 library that guesses reasonable defaults for
 locale, keyboard, territory, etc. based on the information already known.

=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/mike-fabian/langtable/releases \
https://github.com/mike-fabian/langtable/releases/download/v?\d[\.\d]*/langtable-@ANY_VERSION@@ARCHIVE_EXT@

## langtable 0.0.66

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,13 @@
 
 .PHONY: test
 test: gzip
-	(cd langtable; python3 langtable.py)
+	python3 langtable/langtable.py
 	python3 test_cases.py
-	(cd langtable; xmllint --noout --relaxng schemas/keyboards.rng data/keyboards.xml.gz)
-	(cd langtable; xmllint --noout --relaxng schemas/languages.rng data/languages.xml.gz)
-	(cd langtable; xmllint --noout --relaxng schemas/territories.rng data/territories.xml.gz)
-	(cd langtable; xmllint --noout --relaxng schemas/timezones.rng data/timezones.xml.gz)
-	(cd langtable; xmllint --noout --relaxng schemas/timezoneidparts.rng data/timezoneidparts.xml.gz)
+	xmllint --noout --relaxng langtable/schemas/keyboards.rng langtable/data/keyboards.xml.gz
+	xmllint --noout --relaxng langtable/schemas/languages.rng langtable/data/languages.xml.gz
+	xmllint --noout --relaxng langtable/schemas/territories.rng langtable/data/territories.xml.gz
+	xmllint --noout --relaxng langtable/schemas/timezones.rng langtable/data/timezones.xml.gz
+	xmllint --noout --relaxng langtable/schemas/timezoneidparts.rng langtable/data/timezoneidparts.xml.gz
 
 .PHONY: check
 check: test
@@ -30,6 +30,10 @@
 	DISTUTILS_DEBUG=$(DEBUG) python3 ./setup.py install --prefix=$(DESTDIR)
 #	DISTUTILS_DEBUG=$(DEBUG) python3 ./setup.py install_data --install-dir=$(DATADIR)
 
+.PHONY: twine-check
+twine-check: dist
+	twine check dist/*
+
 # check it here: https://test.pypi.org/manage/project/langtable/releases/
 .PHONY: twine-upload-test
 twine-upload-test: dist
@@ -38,7 +42,7 @@
 # check it here: https://pypi.org/manage/project/langtable/releases/
 .PHONY: twine-upload
 twine-upload: dist
-	python3 -m twine upload --verbose dist/*
+	python3 -m twine upload --verbose --repository pypi dist/*
 
 .PHONY: pip-install-test
 pip-install-test:
@@ -76,3 +80,9 @@
 
 rnc: schemas/keyboards.rnc schemas/languages.rnc schemas/territories.rnc schemas/timezones.rnc schemas/timezoneidparts.rnc
 	cp schemas/*.rnc data/
+
+README: README.html
+	w3m -cols 78 -o display_borders=1 -o display_link_number=1 $< > $@
+
+README.html: README.md
+	pandoc -f gfm -t html --standalone --self-contained --metadata pagetitle="langtable README" $< > $@

=== debian/changelog ===
langtable (0.0.66-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 May 2024 22:41:13 +0100

## langtable 0.0.67

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,9 @@
 pip-install:
 	(cd /tmp; python3 -m pip install --user --ignore-installed --no-cache-dir --no-deps langtable)
 
+.PHONY: pip-uninstall
+	pip uninstall langtable
+
 .PHONY: clean
 clean:
 	git clean -dxf

=== debian/changelog ===
langtable (0.0.67-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Jun 2024 14:48:00 +0100

## langtable 0.0.68

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,7 @@
 	(cd /tmp; python3 -m pip install --user --ignore-installed --no-cache-dir --no-deps langtable)
 
 .PHONY: pip-uninstall
+pip-uninstall:
 	pip uninstall langtable
 
 .PHONY: clean

=== debian/changelog ===
langtable (0.0.68-2) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-setuptools (Closes: #1080620)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 14 Oct 2024 11:27:07 +0200

langtable (0.0.68-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Jul 2024 14:52:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3,
+               python3-setuptools,
                libxml2-utils <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/mike-fabian/langtable
 Vcs-Git: https://salsa.debian.org/python-team/packages/langtable.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/langtable

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_test:
	make test

=== debian/tests/control ===
Test-Command: make test
Depends: @, libxml2-utils
Restrictions: allow-stderr

## langtable 0.0.69

=== debian/changelog ===
langtable (0.0.69-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Nov 2025 14:15:02 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/langtable.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/langtable
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-langtable
 Section: python
